Author vstinner
Recipients gvanrossum, vstinner
Date 2014-01-23.14:33:18
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1390487599.93.0.989391561311.issue20365@psf.upfronthosting.co.za>
In-reply-to
Content
kqueue doesn't support character devices like PTY before Mac OS 10.9. This issue is discussion on Tulip mailing list, no decision was taken yet how to fix this issue.

http://buildbot.python.org/all/builders/AMD64%20Snow%20Leop%203.x/builds/1071/steps/test/logs/stdio

======================================================================
ERROR: test_read_pty_output (test.test_asyncio.test_events.KqueueEventLoopTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Users/buildbot/buildarea/3.x.murray-snowleopard/build/Lib/asyncio/selector_events.py", line 135, in add_reader
    key = self._selector.get_key(fd)
  File "/Users/buildbot/buildarea/3.x.murray-snowleopard/build/Lib/selectors.py", line 181, in get_key
    raise KeyError("{!r} is not registered".format(fileobj)) from None
KeyError: '7 is not registered'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/Users/buildbot/buildarea/3.x.murray-snowleopard/build/Lib/test/test_asyncio/test_events.py", line 980, in test_read_pty_output
    self.loop.run_until_complete(connect())
  File "/Users/buildbot/buildarea/3.x.murray-snowleopard/build/Lib/asyncio/base_events.py", line 177, in run_until_complete
    return future.result()
  File "/Users/buildbot/buildarea/3.x.murray-snowleopard/build/Lib/asyncio/futures.py", line 236, in result
    raise self._exception
  File "/Users/buildbot/buildarea/3.x.murray-snowleopard/build/Lib/asyncio/tasks.py", line 281, in _step
    result = next(coro)
  File "/Users/buildbot/buildarea/3.x.murray-snowleopard/build/Lib/test/test_asyncio/test_events.py", line 974, in connect
    master_read_obj)
  File "/Users/buildbot/buildarea/3.x.murray-snowleopard/build/Lib/asyncio/base_events.py", line 537, in connect_read_pipe
    transport = self._make_read_pipe_transport(pipe, protocol, waiter)
  File "/Users/buildbot/buildarea/3.x.murray-snowleopard/build/Lib/asyncio/unix_events.py", line 149, in _make_read_pipe_transport
    return _UnixReadPipeTransport(self, pipe, protocol, waiter, extra)
  File "/Users/buildbot/buildarea/3.x.murray-snowleopard/build/Lib/asyncio/unix_events.py", line 200, in __init__
    self._loop.add_reader(self._fileno, self._read_ready)
  File "/Users/buildbot/buildarea/3.x.murray-snowleopard/build/Lib/asyncio/selector_events.py", line 138, in add_reader
    (handle, None))
  File "/Users/buildbot/buildarea/3.x.murray-snowleopard/build/Lib/selectors.py", line 462, in register
    self._kqueue.control([kev], 0, 0)
OSError: [Errno 22] Invalid argument
History
Date User Action Args
2014-01-23 14:33:19vstinnersetrecipients: + vstinner, gvanrossum
2014-01-23 14:33:19vstinnersetmessageid: <1390487599.93.0.989391561311.issue20365@psf.upfronthosting.co.za>
2014-01-23 14:33:19vstinnerlinkissue20365 messages
2014-01-23 14:33:18vstinnercreate